Linux 2.6 branduolyje aptikta klaida leidžia vartotojams per nuotolį išvesti iš rikiuotės sistemas, turinčias naujausią korporacinę ir vartotojišką SuSE distributyvų versijas.

Praeitą savaitę Linux Novell SuSE distributorius išplatino pranešimus, pranešdamas apie aukšto pavojingumo – 9 pagal dešimtbalę skalę – Linux 2.6 branduolio klaidą. Skylė rasta korporaciniuose ir eiliniams vartotojams skirtuose kompanijos produktuose – SuSE Linux Enterprise Server 9 ir SuSE Linux Professional 9.1.

Romanas Drachtmiuleris, SuSE Linux atsakantis už Linux saugumą, pareiškė, kad ši branduolio versija prieinama visiems Linux distributoriams, tačiau SuSE – vienas iš nedaugelio komercinių distributyvų, kuriuose iš tikrųjų naudojamas 2.6 branduolys, ir todėl kompanijai “tenka pirmai spręsti su saugumu susijusias problemas”.

Kompanijos reagavimo į su RedHat saugumu susijusius incidentus komandos narys Markas Koksas pasakė, kad Red Hat korporacinis produktas – Red Hat Enterprise Linux – apsaugotas nuo šios skylės poveikio, nes jame naudojamas 2.4 versijos branduolys.

Klaida įsilaužėliams leidžia per nuotolį išvesti iš rikiuotės PC, jei jame įdiegtas vienas iš nurodytų SuSE produktų ir ugniasienė; tai daroma, į kompiuterį siunčiant specialiai paruoštą IP paketą. SuSE savo vartotojams rekomenduoja ugniasienei uždrausti IP ir TCP paketų loginimo funkciją ir ragina nedelsiant atnaujinti branduolį. Minima klaida jau ištaisyta 2.6.8 ir 2.6.9 Linux branduolio versijose.

Su SuSE Linux rekomendacijomis galite susipažinti kompanijos svetainėje, o atnaujintą branduolio versiją galima atsisiųsti iš www.kernel.org svetainės.

Pastaruoju metu Linux distributyvams teko iškart keletas bėdų. Prieš porą savaičių Red Hat taip pat paskelbė apie melagingą el.paštu platinamą laišką, skelbiantį apie “oficialią su sistemos saugumu susijusią pataisą”. Kompanijos atstovai primygtinai rekomenduoja trinti tokius laiškus.

Views All Time
Views All Time
2991
Views Today
Views Today
1
0 0